Page MenuHomePhabricator

Phabricator: Support elasticsearch 5.x
Closed, ResolvedPublic

Description

Make Phabricator work with Elasticsearch 5.x

Event Timeline

Paladox created this task.Jan 14 2017, 1:26 PM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptJan 14 2017, 1:26 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald Transcript
Deskana added a subscriber: Deskana.

The Search Team does not have responsibility for search in Phabricator, and we aren't planning on doing anything there. Despite this task's claims, I doubt that our upgrade of search for the Wikimedia wikis would affect search on Phabricator at all because I don't think they're linked to each other in any form; someone can correct me if I'm wrong. I'm not really sure what this task is about.

This task is about making sure that phabricator supports elasticsearch 5 with backwards compatibility with elasticsearch 2.

This task's summary only provides a potential solution ("Add support for elasticsearch 5" = enhancement request) and does not describe any problem to solve.

I have tested elasticsearch 5 on phab-01, and it is working. Note that we had to delete the indexes and do a full reindex, but that's better then trying to prevent a reindex.

Paladox closed this task as Resolved.Jan 24 2017, 4:16 PM
Paladox claimed this task.

Actually, I'm getting this warnning

2017-01-26T19:16:11,892][WARN ][o.e.d.i.m.StringFieldMapper$TypeParser] The [string] field is deprecated, please use [text] or [keyword] instead on [cmnt]

and

Elasticsearch index Incorrect
Either the Phabricator schema for Elasticsearch has changed or Elasticsearch created the index automatically. Run ./bin/search init to correct the index.

Paladox reopened this task as Open.Jan 26 2017, 7:23 PM

@Deskana: We are evaluating the possibility of moving phabricator's search over to the wikimedia elasticsearch cluster in the future. If we want to be able to do that then phabricator's elasticsearch backend needs to track the version of elastic that we're running on the wikimedia cluster.

@mmodell Understood. Thanks for explaining! I feel somewhat uncomfortable about the growing maintenance burden on my team for things like this (logstash, phab search, etc.) but practically speaking there may be no alternatives so I don't really know what to do about it.

@Deskana: We may be able to run a private elasticsearch instance on the phabricator node(s) if necessary. It's currently experimental and small so it shouldn't put much burden on the shared elastic service.

@mmodell Interesting. I think we can make that determination closer to the time. @EBernhardson may have some opinions, too. :-)

I think they are switching to es5 next week. So we will want to try and fix support for it before then.

Paladox reassigned this task from Paladox to mmodell.Feb 9 2017, 9:11 AM

@mmodell I presume your working on fixing this so assigning to you.

probably not next week, but coming up soon no doubt. hoping to start moving codfw over by the last week of this month.

mmodell renamed this task from Add support for elasticsearch 5 to Phabricator: Support elasticsearch 5.x.Feb 10 2017, 9:45 PM
mmodell updated the task description. (Show Details)

@EBernhardson We should be ready to go after merging the attached differential revisions.

mmodell closed this task as Resolved.Feb 14 2017, 2:05 PM